import java.util.ArrayList;

/**
 * airplane of the flight
 */
public class Airplane {

    private String type;
    private ArrayList<Seat> seats;
    private ArrayList<Seat> freeSeats;

    /**
     * constructs an airplane
     *
     * @param seats
     * @param type
     */
    public Airplane(ArrayList<Seat> seats, String type) {
        this.seats = seats;
        this.freeSeats = seats;
        this.type = type;
    }

    /**
     * returns free seats
     *
     * @return
     */
    public ArrayList<Seat> getFreeSeats() {
        return freeSeats;
    }

    /**
     * returns all of seats
     *
     * @return
     */
    public ArrayList<Seat> getSeats() {
        return seats;
    }

    /**
     * returns the type of seat
     *
     * @return
     */
    public String getType() {
        return type;
    }

    /**
     * reserves a seat for a passenger on this airplane
     *
     * @param seat
     * @param passenger
     */
    public void reserve(Seat seat, Passenger passenger) {
        for (Seat s : seats
        ) {
            if (s == seat) {
                s.setPassenger(passenger);
            }
        }
        this.freeSeats.remove(seat);
    }
}
