import java.util.ArrayList;

/**
 * an available flight
 */
public class Flight {

    private Airplane airplane;
    private String company;
    private String destination;
    private String origin;
    private String type;
    private int No;
    private int date;

    /**
     * constructs a flight
     *
     * @param airplane
     * @param company
     * @param destination
     * @param origin
     * @param type
     * @param No
     * @param date
     */
    public Flight(Airplane airplane, String company, String destination, String origin, String type, int No, int date) {
        this.airplane = airplane;
        this.company = company;
        this.destination = destination;
        this.origin = origin;
        this.type = type;
        this.No = No;
        this.date = date;
    }

    /**
     * returns type of this flight
     *
     * @return
     */
    public String getType() {
        return type;
    }

    /**
     * returns number of this flight
     *
     * @return
     */
    public int getNo() {
        return No;
    }

    /**
     * returns airplane of this flight
     *
     * @return
     */
    public Airplane getAirplane() {
        return airplane;
    }

    /**
     * returns company of this flight
     *
     * @return
     */
    public String getCompany() {
        return company;
    }

    /**
     * returns destination of this flight
     *
     * @return
     */
    public String getDestination() {
        return destination;
    }

    /**
     * returns origin of this flight
     *
     * @return
     */
    public String getOrigin() {
        return origin;
    }

    /**
     * returns date of this flight
     *
     * @return
     */
    public int getDate() {
        return date;
    }

    /**
     * returns free seats on this flight
     *
     * @return
     */
    public ArrayList<Seat> getFreeSeats() {
        return this.airplane.getFreeSeats();
    }

    /**
     * returns total seats of this flight
     *
     * @return
     */
    public ArrayList<Seat> getSeats() {
        return this.airplane.getSeats();
    }

    /**
     * reserves a seat for a passenger
     *
     * @param seat
     * @param passenger
     */
    public void reserve(Seat seat, Passenger passenger) {
        this.airplane.reserve(seat, passenger);
    }
}
