import java.util.ArrayList;

/**
 * the manager of all flights
 */
public class SystemManagement {

    private ArrayList<Flight> flights;

    /**
     * constructs a system management
     *
     * @param flights
     */
    public SystemManagement(ArrayList<Flight> flights) {
        this.flights = flights;
    }

    /**
     * adds a flight to the flight list
     *
     * @param flight
     */
    public void addFlight(Flight flight) {
        this.flights.add(flight);
    }

    /**
     * removes a flight from the flight list
     *
     * @param flight
     */
    public void removeFlight(Flight flight) {
        this.flights.remove(flight);
    }

    /**
     * returns all of the flights
     *
     * @return
     */
    public ArrayList<Flight> getFlights() {
        return flights;
    }

    /**
     * reserves a seat from a flight for a passenger
     *
     * @param flight
     * @param seat
     * @param passenger
     */
    public void reserve(Flight flight, Seat seat, Passenger passenger) {
        for (Flight f : flights
        ) {
            if (f == flight) {
                f.reserve(seat, passenger);
            }
        }
    }
}
